Bug 241412 - Advanced Platform install needs to default the installation of GFS-XEN
Advanced Platform install needs to default the installation of GFS-XEN
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
: 337811 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-05-25 16:50 EDT by Rob Kenna
Modified: 2010-10-22 11:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2007-0644
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 12:21:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob Kenna 2007-05-25 16:50:47 EDT
When an Advanced Platform install is made, we need to default the installation
of the gfs and gnbd kernel mod's.  Currently you need to go into the options
page and manually check them for installation.
Comment 2 Chris Lumens 2007-06-01 14:18:17 EDT
dlehman - this should be pretty simple.  We can just add some more packages to
the list of what gets selected by default for certain installation keys, correct?
Comment 3 David Lehman 2007-06-01 14:34:26 EDT
Here's a snippet from the ClusterStorage comps file:

      <packagereq type="default">kmod-gfs</packagereq>
      <packagereq type="default">kmod-gfs-kdump</packagereq>
      <packagereq type="default">kmod-gnbd</packagereq>
      <packagereq type="default">kmod-gnbd-kdump</packagereq>
      <packagereq type="default">lvm2-cluster</packagereq>
      <packagereq type="optional">kmod-gfs-PAE</packagereq>
      <packagereq type="optional">kmod-gfs-xen</packagereq>
      <packagereq type="optional">kmod-gnbd-PAE</packagereq>
      <packagereq type="optional">kmod-gnbd-xen</packagereq>

So what you are asking is that the PAE/xen subpackages be installed, but only in
the event that the corresponding kernel-PAE/kernel-xen is selected. Is this correct?
Comment 4 Jeremy Katz 2007-06-04 13:50:14 EDT
If we're going to do this, we should really do it more generically in case we
add more kmods in the future.  There's already a yum plugin that is supposed to
do the right thing, so we might be able to just include it, enable plugin use
and go from there.
Comment 5 Rob Kenna 2007-06-05 11:57:14 EDT
re: comment #3, not sure why it would be just PAE.  What's needed is that
whenever the Advanced Platform is selected, the XEN & non-XEN kernel modules for
GFS and GNBD should be installed.  What I've seen is that an AP install does not
install kmod-gfs-xen.  This is true on x64 boxes too, not just PAE.
Comment 6 James Laska 2007-06-07 09:50:29 EDT
Is the solution here to change the type="default" for the kmod-gfs-{xen,PAE}
Comment 7 David Lehman 2007-06-07 14:24:07 EDT
My concern is that setting them to "default" might pull in kernel-xen and
kernel-PAE if they're not already selected, which doesn't sound desirable.
Comment 9 James Laska 2007-06-14 15:21:43 EDT
dlehman: what are your thoughts here?  What's the yum plugin katzj metions in
comment#4 that might solve this in a generic way?
Comment 10 David Lehman 2007-06-19 12:58:19 EDT
For some reason I feel like I've answered this question before at some point, but...

There's a subpackage of yum-utils called yum-fedorakmod, which contains a plugin
to manage exactly this sort of thing. We don't ship that in RHEL, but it's just
one python file. I rigged an updates.img to use the plugin and it solved this
particular problem. Now I just need to figure out how best to get it into the tree.

And isn't there something special that'll need to happen to get this into 5.1 at
this point?
Comment 11 James Laska 2007-06-21 11:27:55 EDT
Spoke a bit further on this w/ dlehman (thanks Dave!)

Adding QA_ACK for 5.1 to add yum-fedorakmod support into the installer so that
it pulls in the proper kmod packages when a matching kernel is installed.

Should adding/packaging yum-fedorakmod for post-install be needed, we will track
that in a separate bz.
Comment 28 James Laska 2007-09-21 15:20:42 EDT
Confirmed fixed in snap#7 and snap#8 by rkeena.
Comment 29 Rob Kenna 2007-09-21 16:44:27 EDT
Actually confirmed by rkenna (1 'e', 2 'n's)  :)
But, yes, this is working properly now.
Comment 30 James Laska 2007-09-21 16:53:52 EDT
Doh! sorry Rob, thanks for the info :)
Comment 31 David Lehman 2007-10-19 12:53:16 EDT
*** Bug 337811 has been marked as a duplicate of this bug. ***
Comment 33 errata-xmlrpc 2007-11-07 12:21:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.